CREATE EXTENSION IF NOT EXISTS "uuid-ossp"; -- noqa: RF05

CREATE TABLE sessions (
    id UUID PRIMARY KEY,
    actor UUID NOT NULL REFERENCES users (id) ON DELETE CASCADE,
    secret VARCHAR NOT NULL,
    created_at TIMESTAMP NOT NULL DEFAULT now(),
    expires_at TIMESTAMP NOT NULL
);
